<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/
//------------enotik--------------//

# Заголовок>Функции>Шапка
$title = 'Админ-чат';
require_once ('../system/function.php');
require_once ('../system/header.php');

# закрываем от гостей и юзеров
if(!$user['id'] or $user['level'] < 1) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act){
default: 
if($user['level'] == 3){
echo'<div class="menudiv"><a href="'.$HOME.'/admin_chat/index.php?act=del" class="k_menu"><img src="'.$HOME.'/images/a_del.png"> Очистить чат</a></div>';
}


/* Если нажали кнопку */
if(isset($_REQUEST['add'])) {
/* Фильтрация и вывод ошибки */
$msg = strong($_POST['msg']);
if(empty($msg)) {
echo '<div class="podmenu"><center><b>Вы не ввели сообщение!</b></center></div>';
require_once ('system/footer.php');
exit();
}
/* Вывод ошибки */
if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Сообщение содержит меньше 3-х символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}
/* Делаем запрос*/
mysql_query("INSERT INTO `admin_chat` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `time` = '".time()."'");
header('location:/admin_chat/');
exit();
}
echo '<div class="podmenu">
<form action="" name="message" method="POST" >
Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '<textarea name="msg"></textarea><br />
<input type="submit" name="add" value="Написать">
</div></form>';


/*Проверка*/
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `admin_chat`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
/*Основное*/
$query = mysql_query("SELECT * FROM `admin_chat` ORDER BY `time` DESC LIMIT $start, $max");
while($post = mysql_fetch_assoc($query)){
$avtor = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$post['id']."'"));
$enot_komu = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$post['id_komu']."'"));
echo'<div class=podmenu>
'.nick($post['avtor']).' ('.vremja($post['time']).')';
if($user['id'] != $post['avtor']) {
echo' [<a href="'.$HOME.'/admin_chat/otvet.php?id='.$post['id'].'">отв</a>]';
}
echo''.user($post['avtor']).' 
</br>
'.smile(bb($post['msg'])).'
</div>';
}
/*Постраничка*/
if($k_post < 1) echo '<div class="podmenu"><center><b><big>Cообщений пока нету!</big></b></center></div>';
if($k_page>1) echo str($HOME.'/admin_chat/?',$k_page,$page); // Вывод страниц

break;

case 'del':
if($user['level'] != 3) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
mysql_query("DELETE FROM `admin_chat`");
echo'<div class="podmenu">Сообщения удалены.</div> 
<div class="links"><a href="'.$HOME.'/admin_chat">Вернуться</a></div>';
require_once ('../system/footer.php'); exit;
break;
}


require_once ('../system/footer.php');
?>